/* Copyright 2020, Michele Santullo
 * This file is part of memoserv.
 *
 * Memoserv is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Memoserv is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Memoserv.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "command_line.hpp"
#include "run_gui.hpp"

namespace {
	const constexpr int g_def_icon_size = 48;
	const constexpr int g_def_icon_fps = 3;
} //unnamed namespace

int main(int argc, char* argv[]) {
	auto command = mc::parse_command_line(argc, argv);
	if (command.should_quit)
		return 0;

	return mc::run_gui(g_def_icon_size, g_def_icon_fps);
}
